MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MrEModuleSdk.Devices.SdkInterfaces.ISpi Interface Reference
Inheritance diagram for MrEModuleSdk.Devices.SdkInterfaces.ISpi:

## Public Member Functions
int | ReadSpiReadPointer0Address ()
| Returns the address of the register that will be used to update the read back bytes 4-7 in the slave response.
void | WriteSpiReadPointer0Address (int address)
| Sets the address of the register that will be used to update the read back bytes 4-7 in the slave response.
int | ReadSpiReadPointer1Address ()
| Returns the address of the register that will be used to update the read back bytes 8-11 in the slave response.
void | WriteSpiReadPointer1Address (int address)
| Sets the address of the register that will be used to update the read back bytes 8-11 in the slave response.
uint | ReadSystemTick ()
| Returns system tick. Register value is incremented by one at the controller frequency (10kHz).

## Member Function Documentation

## ◆ ReadSpiReadPointer0Address()

int MrEModuleSdk.Devices.SdkInterfaces.ISpi.ReadSpiReadPointer0Address | ( |  | ) |

Returns the address of the register that will be used to update the read back bytes 4-7 in the slave response.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadSpiReadPointer1Address()

int MrEModuleSdk.Devices.SdkInterfaces.ISpi.ReadSpiReadPointer1Address | ( |  | ) |

Returns the address of the register that will be used to update the read back bytes 8-11 in the slave response.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadSystemTick()

uint MrEModuleSdk.Devices.SdkInterfaces.ISpi.ReadSystemTick | ( |  | ) |

Returns system tick. Register value is incremented by one at the controller frequency (10kHz).

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteSpiReadPointer0Address()

void MrEModuleSdk.Devices.SdkInterfaces.ISpi.WriteSpiReadPointer0Address | ( | int | address | ) |

Sets the address of the register that will be used to update the read back bytes 4-7 in the slave response.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteSpiReadPointer1Address()

void MrEModuleSdk.Devices.SdkInterfaces.ISpi.WriteSpiReadPointer1Address | ( | int | address | ) |

Sets the address of the register that will be used to update the read back bytes 8-11 in the slave response.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/ISpi.cs